Summary:	Utility for MP3 information and tag modification
Summary(pl.UTF-8):	Program do manipulowania znacznikami ID3 plików w formacie MP3
Summary(tr.UTF-8):	MP3 ses dosyası bilgileri düzenleme aracı
Name:		mp3info-rmc
Version:	0.8.5a
Release:	6
License:	GPL v2+
Group:		Applications/Sound
Source0:	ftp://ftp.ibiblio.org/pub/linux/apps/sound/mp3-utils/mp3info/mp3info-%{version}.tgz
# Source0-md5:	cb7b619a10a40aaac2113b87bb2b2ea2
Patch0:		%{name}-build.patch
URL:		http://www.ibiblio.org/mp3info/ 
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mp3info is a command line utility to extract and manipulate TAG (ID3)
info from MP3 files. It also has a VERY configurable output.

%description -l pl.UTF-8
mp3info jest programem do manipulowania znacznikami ID3 plików w
formacie MP3. Umożliwia dowolne skonfigurowanie wyświetlanych przez to
narzędzie informacji.

%description -l tr.UTF-8
mp3info, MP3 ses dosyalarından TAG (ID3) bilgilerini okumanızı ve
değiştirmenizi sağlayan bir komut satırı aracıdır. Çeşitli şekillerde
çıktılar verebilir.

%package gtk
Summary:	GTK+ version of utility for MP3 information and tag modification
Summary(pl.UTF-8):	Wersja GTK+ programu do manipulowania znacznikami ID3 plików w formacie MP3
Group:		X11/Applications/Sound
Conflicts:	mp3info-rmc < 0.8.5a

%description gtk
GTK+ version of utility for MP3 information and tag modification.

%description gtk -l pl.UTF-8
Wersja GTK+ programu do manipulowania znacznikami ID3 plików w
formacie MP3.

%prep
%setup -q -n mp3info-%{version}
%patch0 -p1

%build
%{__make} mp3info gmp3info \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags} -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}/man1 \
	STRIP=/bin/true

# conflict with another mp3info
mv -f $RPM_BUILD_ROOT%{_bindir}/mp3info{,-rmc}
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/mp3info{,-rmc}.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/mp3info-rmc
%{_mandir}/man1/mp3info-rmc.1*

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gmp3info
%changelog
* Sat Dec 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mp3info-rmc.git;a=log;h=master

* Sat Dec 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 963c5e5
- rel 6; build fixed

* Sat Dec 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 97a1e0a
- release 5 (by relup.sh)

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 224eca0
- ncurses rebuild
- release 4 (by relup.sh)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 23aafb3
- release 3

* Thu Apr 23 2009 Elan Ruusamäe <glen@pld-linux.org> d176963
- release 2

* Thu Oct 02 2008 Jakub Bogusz <qboosh@pld-linux.org> a80a24e
- updated to 0.8.5a (with gmp3info ported to GTK+ 2)
- removed obsolete multiline-strings patch

* Thu Oct 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 696e0d0
- obsolete

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ea1c41e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8d73352
- converted to UTF-8

* Fri Jun 17 2005 zbyniu <zbyniu@pld-linux.org> fd57efa
- BR: ncurses-devel

* Mon Feb 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 6d9fb8f
- unified

* Mon Feb 28 2005 Artur Frysiak <artur@frysiak.net> 179f204
- fix multiline strings

* Mon Feb 28 2005 Artur Frysiak <artur@frysiak.net> 9ca4475
- another mp3info implementation

